Uploaded image for project: 'Sakai'
  1. Sakai
  2. SAK-44328

Sep'20 - Upgrade Spring dependencies

    XMLWordPrintable

    Details

    • Type: Feature Request
    • Status: RESOLVED
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 21.0, 22.0 [Tentative]
    • Fix Version/s: 21.0, 22.0 [Tentative]
    • Component/s: Global
    • Labels:
      None
    • 21 Status:
      Resolved
    • Test Plan:
      Hide

      Testing will happen through normal tool testing prior to the next release.

      Show
      Testing will happen through normal tool testing prior to the next release.

      Description

      Update the spring dependencies to the latest versions.

       

          <sakai.spring.version>5.2.9.RELEASE</sakai.spring.version>
          <sakai.spring.data.commons.version>2.3.4.RELEASE</sakai.spring.data.commons.version>
          <sakai.spring.data.jpa.version>2.3.4.RELEASE</sakai.spring.data.jpa.version>
          <sakai.spring.data.rest.version>3.3.4.RELEASE</sakai.spring.data.rest.version>
          <sakai.spring.security.version>5.2.6.RELEASE</sakai.spring.security.version>
          <sakai.spring.hateoas.version>1.1.2.RELEASE</sakai.spring.hateoas.version>
          <sakai.spring.plugin.version>2.0.0.RELEASE</sakai.spring.plugin.version>

       Spring security has not been updated to 5.3.x or 5.4.x yet. 

       

        Gliffy Diagrams

          Zeplin

            Attachments

              Issue Links

                Activity

                  People

                  Assignee:
                  jonespm Matthew Jones
                  Reporter:
                  jonespm Matthew Jones
                  Votes:
                  0 Vote for this issue
                  Watchers:
                  1 Start watching this issue

                    Dates

                    Created:
                    Updated:
                    Resolved:

                      Git Integration